var config = {
        container: "#TaskChart",
        levelSeparation:    60,
        siblingSeparation:  60,
        nodeAlign: "BOTTOM",
        connectors: {
            type: "step",
            style: {
                "stroke-width": 4,
                "stroke": "#ccc",
                "stroke-dasharray": "-", //"", "-", ".", "-.", "-..", ". ", "- ", "--", "- .", "--.", "--.."
                "arrow-end": "classic-wide-long"
            }
        },
        //animateOnInit: true,
   /*     
        node: {
            collapsable: true
        },
        animation: {
            nodeAnimation: "easeOutBounce",
            nodeSpeed: 700,
            connectorsAnimation: "bounce",
            connectorsSpeed: 700
        },
*/
    },

    first_post = {
        innerHTML: "#first-post"
    },

    first_reply = {
        parent: first_post,
        innerHTML: "#first-reply"
    },

    second_reply = {
        parent: first_post,
        innerHTML: "#second-reply"
    }

    second_reply_reply = {
        parent: second_reply,
        innerHTML: "#second-reply-reply"
    },

    second_reply_1 = {
        parent: second_reply_reply,
        innerHTML: "#second-reply-reply"
    },

    second_reply_2 = {
        parent: second_reply_1, 
        innerHTML: "#second-reply-reply"
    },

    second_reply_3 = {
        parent: first_post, 
        innerHTML: "#second-reply-reply"
    },


tree_structure = [
    config, first_post, first_reply, second_reply, second_reply_reply , second_reply_1, second_reply_2, second_reply_3
];


/* ALTERNATIVE tree_structure CONFIG, same result as above

    var tree_structure = {
        chart: {
            container: "#OrganiseChart8",
            levelSeparation:    70,
            siblingSeparation:  60,
            nodeAlign: "BOTTOM",
            connectors: {
                type: "step",
                style: {
                    "stroke-width": 2,
                    "stroke": "#ccc",
                    "stroke-dasharray": "--",
                    "arrow-end": "classic-wide-long"
                }
            }
        },
        nodeStructure: {
            innerHTML: "#first-post",
            children: [
                {
                    innerHTML: "#first-reply"
                },
                {
                    innerHTML: "#second-reply",
                    children: [
                        {
                            innerHTML: "#second-reply-reply"
                        }
                    ]
                }
            ]
        }
    };

*/


